Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 2 Apr 2012 13:49:19 +0200

I have no issue with progressing this I-D. 

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Charles Eckel (eckelcu)
> Sent: Friday, March 30, 2012 2:56 PM
> To: [email-masked]
> Subject: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity
> 
> (As WG Co-Chair)
> 
> This is an announcement of a short XRBLOCK WG last call on
"Measurement
> Identity and information Reporting using SDES item and XR Block" prior
> to requesting publication of the document as a proposed standard.
> 
> This is a one week working group last call as the only changes were
> those discussed on the mailing list after the previous last call on
> this
> draft.
> Please send your comments, including nits, to the list by the 6th of
> April.
> 
> If you read the draft and you see no issues, concerns, or nits, please
> express the fact that you have no issue progressing the draft on the
> list as well.
> 
> The latest version can be found here:
> http://tools.ietf.org/wg/xrblock/draft-ietf-xrblock-rtcp-xr-meas-
> identit
> y/
> 
> Cheers,
> Charles
> _______________________________________________
> xrblock mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xrblock

---

From: Colin Perkins <[email-masked]>
Date: Mon, 2 Apr 2012 16:19:43 +0100

Charles,

The -03 draft looks okay to progress from my side. 

My only comment is that it might be more appropriate to use RTP timestamp units for the Measurement Duration fields in Section 4.1, rather than milliseconds, to match the timing fields in RTCP SR packets. This is mostly a matter of taste, rather than a serious technical issue, though.

Colin

On 30 Mar 2012, at 12:56, Charles Eckel (eckelcu) wrote:
> (As WG Co-Chair)
> 
> This is an announcement of a short XRBLOCK WG last call on "Measurement
> those discussed on the mailing list after the previous last call on this
> draft.
> http://tools.ietf.org/wg/xrblock/draft-ietf-xrblock-rtcp-xr-meas-identit
> y/
> 
> Cheers,
> Charles

-- 
Colin Perkins
http://csperkins.org/

---

From: Qin Wu <[email-masked]>
Date: Fri, 6 Apr 2012 17:31:35 +0800

Hi,
----- Original Message ----- 
From: "Colin Perkins" <[email-masked]>
To: "Charles Eckel" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, April 02, 2012 11:19 PM
Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

> My only comment is that it might be more appropriate to use RTP timestamp units for the Measurement Duration fields in Section 4.1, rather than milliseconds, to match the timing fields in RTCP SR p…

[Qin]: You are right, this also avoid unecessary rounding or precision loss, in my opinion. So your proposal looks reasonable to me.

---

From: Colin Perkins <[email-masked]>
Date: Fri, 6 Apr 2012 18:35:25 +0100

> [Qin]: You are right, this also avoid unecessary rounding or precision loss, in my opinion. So your proposal looks reasonable to me.  

I should, of course, have said units of 1/65536 seconds, to match RTCP SR packets.

-- 
Colin Perkins
http://csperkins.org/

---

From: Qin Wu <[email-masked]>
Date: Mon, 9 Apr 2012 09:55:24 +0800

Thank for your further clarification. That's what I think in mind.

Regards!
-Qin
----- Original Message ----- 
From: "Colin Perkins" <[email-masked]>
To: "Qin Wu" <[email-masked]>
Cc: "Charles Eckel" <[email-masked]>; <[email-masked]>
Sent: Saturday, April 07, 2012 1:35 AM
Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

-- 
Colin Perkins
http://csperkins.org/

---

From: Kevin Gross <[email-masked]>
Date: Thu, 12 Apr 2012 18:29:35 -0600

Some comments on this draft.

It would be a nice touch to provide a definition or reference for "SDES"
somewhere in the abstract or introduction. A reference and description is
provided in Section 3.

nit - Section 1, 4th paragraph: ...Rather, it provides information...

nit - Section 1.1 ...[RFC3611] defined... (noticed this in the xr-delay
draft too)

nit - unnecessary vertical whitespace on pages 4, 5, 9, 10

No definition or explanation is given for "extended sequence number" in the
context of Extended first sequence number of interval and Extended last
sequence number.

Measurement Duration (Cumulative) now defined as units of 1/65536 seconds
can represent up to 18 hours. Is this adequate for envisioned measurement
scenarios?

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

On Sun, Apr 8, 2012 at 7:55 PM, Qin Wu <[email-masked]> wrote:

> >> My only comment is that it might be more appropriate to use RTP
> timestamp units for the Measurement Duration fields in Section 4.1, rather
> than milliseconds, to match the timing fields in RTCP SR packets. This is
> mostly a matter of taste, rather than a serious technical issue, though.
> >
> > [Qin]: You are right, this also avoid unecessary rounding or precision
> loss, in my opinion. So your proposal looks reasonable to me.
>
>

---

From: Kevin Gross <[email-masked]>
Date: Thu, 12 Apr 2012 19:49:36 -0600

correction:

nit - Section 1.1 ...[RFC3611] defines...

On Thu, Apr 12, 2012 at 6:29 PM, Kevin Gross <[email-masked]> wrote:

> No definition or explanation is given for "extended sequence number" in
> the context of Extended first sequence number of interval and Extended
> last sequence number.
>

---

From: Qin Wu <[email-masked]>
Date: Fri, 13 Apr 2012 11:24:20 +0800

Hi,Kevin:
Thank for your comments, please see my replies inline.

Regards!
-Qin
  ----- Original Message ----- 
  From: Kevin Gross 
  To: Qin Wu 
  Cc: Colin Perkins ; [email-masked] 
  Sent: Friday, April 13, 2012 8:29 AM
  Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

  It would be a nice touch to provide a definition or reference for "SDES" somewhere in the abstract or introduction. A reference and description is provided in Section 3.
[Qin]: Good suggestion and will fix this.

[Qin]: Are you saying we should replace "Rather" with "Instead"?

  nit - Section 1.1 ...[RFC3611] defined... (noticed this in the xr-delay draft too)
[Qin]: Okay.
  nit - unnecessary vertical whitespace on pages 4, 5, 9, 10
[Qin]: Okay.

  No definition or explanation is given for "extended sequence number" in the context of Extended first sequence number of interval and Extended last sequence number.
[Qin]: Okay,consistent with what RFC3550 said, extended sequence number means the sequence number is extended with the low 16 bits contain the highest sequence number received in an
 RTP data packet, and the most significant 16 bits containing the corresponding count of sequence number cycles. We can add some text to make this clear.

> Measurement Duration (Cumulative) now defined as units of 1/65536 seconds can represent up to 18 hours. Is this adequate for envisioned measurement scenarios?

[Qin]: My understanding is yes. Also we can use maximum values to indicate whether it is overranged or whether measurement is not avaible.

Kevin Gross
  +1-303-447-0517
  Media Network Consultant

  AVA Networks - www.AVAnw.com, www.X192.org

    Regards!
    -Qin

    ----- Original Message -----

    --
    Colin Perkins
    http://csperkins.org/

---

From: Qin Wu <[email-masked]>
Date: Fri, 13 Apr 2012 15:11:20 +0800

One more clarification is measurement duration is not measured(i.e., not measurement results) 
but provisioned or configured. Such measurement duration has nothing to do with how larger 
value the delay metrics can reach.

Regards!
-Qin
  ----- Original Message ----- 
  From: Qin Wu 
  To: Kevin Gross 
  Cc: Colin Perkins ; [email-masked] 
  Sent: Friday, April 13, 2012 11:24 AM
  Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

  Hi,Kevin:

  Regards!
  -Qin
    ----- Original Message ----- 
    From: Kevin Gross 
    To: Qin Wu 
    Cc: Colin Perkins ; [email-masked] 
    Sent: Friday, April 13, 2012 8:29 AM
    Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

  Kevin Gross
    +1-303-447-0517
    Media Network Consultant

      Regards!
      -Qin

      ----- Original Message -----

      --
      Colin Perkins
      http://csperkins.org/

------------------------------------------------------------------------------

---

From: Kevin Gross <[email-masked]>
Date: Fri, 13 Apr 2012 08:59:38 -0600

Qin,

Responses marked with [kg] below.

Kevin Gross

On Thu, Apr 12, 2012 at 9:24 PM, Qin Wu <[email-masked]> wrote:

> **
> *From:* Kevin Gross <[email-masked]>
> *To:* Qin Wu <[email-masked]>
> *Cc:* Colin Perkins <[email-masked]> ; [email-masked]
> *Sent:* Friday, April 13, 2012 8:29 AM
> *Subject:* Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity
>

[kg] replace ...Rather, it provide information... with  ...Rather, it
provides information...

> [Qin]: Okay,consistent with what RFC3550 said, extended sequence number
> means the sequence number is extended with the low 16 bits contain the
> highest sequence number received in an
>  RTP data packet, and the most significant 16 bits containing the
> corresponding count of sequence number cycles. We can add some text to make
> this clear.
>

[kg] Your explanation of MS bits is clear. Your explanation of LS bits
doesn't sound right. As I understand your definition, these would always be
0xFFFF or thereabouts. I think we want these to add precision to the
measurement interval we're trying to convey so should be defined as a
modulo 2^16 difference between sequence number at end and sequence number
at start.

> > Measurement Duration (Cumulative) now defined as units of 1/65536
> seconds can represent up to 18 hours. Is this adequate for envisioned
> measurement scenarios?
> [Qin]: My understanding is yes. Also we can use maximum values to indicate
> whether it is overranged or whether measurement is not avaible.
>
> [kg] Where does your understanding come from? I don't see anything in RFC
6390 about this. I understand cumulative measurement to be one made over
the up-time of the entity being measured. It seems an inadequate to assume
a maximum up time of 18 hours for a stream.

---

From: Qin Wu <[email-masked]>
Date: Mon, 16 Apr 2012 11:50:18 +0800

Hi,Kevin:
  ----- Original Message ----- 
  From: Kevin Gross 
  To: Qin Wu 
  Cc: Colin Perkins ; [email-masked] 
  Sent: Friday, April 13, 2012 10:59 PM
  Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

  Qin,

  Kevin Gross

    Hi,Kevin:

    Regards!
    -Qin
      ----- Original Message ----- 
      From: Kevin Gross 
      To: Qin Wu 
      Cc: Colin Perkins ; [email-masked] 
      Sent: Friday, April 13, 2012 8:29 AM
      Subject: Re: [xrblock] WGLC for draft-ietf-xrblock-rtcp-xr-meas-identity

  [kg] replace ...Rather, it provide information... with  ...Rather, it provides information...   
[Qin]: Yes, I have catch this and fixed in the -version 05.

  [kg] Your explanation of MS bits is clear. Your explanation of LS bits doesn't sound right. As I understand your definition, these would always be 0xFFFF or thereabouts. I think we want these to add precision to the measurement interval we're trying to convey so should be defined as a modulo 2^16 difference between sequence number at end and sequence number at start.
[Qin]: Sorry for my typo. LS bits actually mean 16bits value corresponding to the sequence number received in the RTP data packet you measured(e.g., the first RTP data packet ,or the last data packet). 

  [kg] Where does your understanding come from? I don't see anything in RFC 6390 about this. I understand cumulative measurement to be one made over the up-time of the entity being measured. It seems an inadequate to assume a maximum up time of 18 hours for a stream.
[Qin]:As I clarifed in the separate email, the mesurement Interval is not measurement results or has nothing to do with meassurement results. The measurement inteval is usually choosed or set by the people who observes the packet. So you don't need to worry about overange of measurement Interval.